#include <Servo.h>

float sensorRange = 0.0;

Servo servo1;
Servo servo2;
Servo servo3;

float correz=0; //correction due to the robot geometry errors
float vertical=0;

float xPos = 0;  // x axis position
float yPos = 0; // y axis position
float zPos = 0; // z axis position, negative is up, positive is down. Delta bots are usually used up side down...

float t1;  //servo angle t for 'theta', 1 for servo 1
float t2;
float t3;

// temp variables
float currX = 0;
float currY = 0;
float currZ = 0;
float currT = millis();

float targetX = 0;
float targetY = 0;
float targetZ = 0;


float maxSpeed = 0.100; // mm / millisec -0.600 is good ^ 0.100 is low, 1.500 is fast
float minSpeed = 0.001;
float currSpeed= 0;
float acceleration = 0.001; // mm / millisec / millisec - 0.002 keeps the current rig pretty calm, 0.004 starts to be wobbly

int result;
int data = 0;
boolean finitoPercorso = false;  // end of path
boolean finitoMvto = false;  // end of movement

int u=0;

void setup(){
  // attach servos
  servo1.attach(3);
  servo2.attach(6);
  servo3.attach(9);

  Serial.begin(115200);
  goTo( 0,0,-10); // for pen setup
  buildPath(); // build the path of the pen
  u=0;
}


void loop(){
  
 
  while (!finitoPercorso){
  boolean a=loopPath(); // make the path
  while (!finitoMvto){
       boolean b=loopMotion(); // make the movement
  }
  finitoMvto=false;
  }
 
 // detach servos
  servo1.detach();
  servo2.detach();
  servo3.detach();


}




